maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mats Aune (JIRA)" <j...@codehaus.org>
Subject [jira] (MECLIPSE-720) Strange issue related to running plugin with -Peclipse profile on ver 2.9 vs 2.8 of plugin
Date Fri, 20 Apr 2012 12:17:02 GMT
Mats Aune created MECLIPSE-720:
----------------------------------

             Summary: Strange issue related to running plugin with -Peclipse profile on ver
2.9 vs 2.8 of plugin
                 Key: MECLIPSE-720
                 URL: https://jira.codehaus.org/browse/MECLIPSE-720
             Project: Maven 2.x Eclipse Plugin
          Issue Type: Bug
          Components: Core : Workspace settings
    Affects Versions: 2.9
         Environment: Ubuntu 10.04 LTS
            Reporter: Mats Aune
            Priority: Minor
         Attachments: eclipse_ver_2.8_build.log, eclipse_ver_2.9_build.log, errorStack.log,
JettyStart.java

Some time ago we experienced a strange issue after creating eclipse project files from the
eclipse plugin (I do not have dates for this exactly). After importing projects and running
with our inhouse (contextPath=/pays webInfDir=src/main/webapp port=8080) JettyStart.java from
within eclipse our web app would fail with the included stack trace (Basically fails with
this: Invocation of init method failed; nested exception is java.lang.NoSuchMethodError: org.hibernate.cfg.AnnotationConfiguration.add(Lorg/hibernate/util/xml/XmlDocument;)V:).


However running the same plugin under eclipse profile in maven, somehow creates different
eclipse project files, that resolves the problem and the webapp starts and runs ok. 

After upgrading to ver 2.9 of the plugin, usage of the -Peclipse profile, has no effect and
consequently the webapp fails to run. If we revert back to the 2.8 ver of the plugin, rerun
with -Peclipse -> import -> rerun -> ok. So basically all usage of the 2.9 plugin
"fails" for us and forces usage of the 2.8 version with an eclipse profile.

What is the consequence of running this plugin under eclipse profile? How does ver 2.8 differ
from ver 2.9 when running under eclipse profile?

Do you need anymore input data do not hesitate to contact me.
 

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://jira.codehaus.org/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message